@keyframes rotate {
0% {
    transform: rotate(0deg);
}
66.67% {
    transform: rotate(360deg);
}
100% {
    transform: rotate(360deg);
}
}
.mc-component-library .mc-input .v-field__outline {
  color: rgb(var(--v-theme-border));
  --v-field-border-opacity: 1 !important;
}
.mc-component-library .mc-input .v-field__outline .v-field-label {
  color: rgb(var(--v-theme-on-surface));
}
.mc-component-library .mc-input .v-field__clearable i {
  --v-icon-size-multiplier: .9;
}
.mc-component-library .mc-input .refresh .mc-icon::before {
  animation: rotate 3s linear infinite;
}
.mc-component-library .mc-input .mc-input-label.required::after {
  content: " *";
  color: rgb(var(--v-theme-error));
}
.mc-component-library .mc-input .search-input-icon {
  display: flex;
  padding-right: 20px;
}
.mc-component-library .mc-input-full {
  width: 100%;
}
.mc-component-library .mc-input-half {
  width: 50%;
}
.mc-component-library .mc-input-third {
  width: 33%;
}
.mc-component-library .mc-input .mc-input-append-inner {
  transform: translateX(12px);
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.03);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}
.mc-component-library .mc-input .mc-input-append-inner .mc-tooltip-wrapper,
.mc-component-library .mc-input .mc-input-append-inner .mc-button {
  height: 100%;
}
.mc-component-library .mc-input .mc-input-append-inner .append-inner-outline {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  border-left: 1px solid currentColor;
  opacity: 0.38;
}
.mc-component-library .v-text-field .v-input__details {
  padding-bottom: 10px;
}